## org.h2.jdbc
Class JdbcCallableStatement

    java.lang.Object
      org.h2.message.TraceObject
          org.h2.jdbc.JdbcStatement
              org.h2.jdbc.JdbcPreparedStatement
                  org.h2.jdbc.JdbcCallableStatement

All Implemented Interfaces:
  java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement

    public class JdbcCallableStatement

extends JdbcPreparedStatement
implements java.sql.CallableStatement

Represents a callable statement.

Field Summary

Fields inherited from class org.h2.jdbc.JdbcPreparedStatement
`command`

Fields inherited from class org.h2.jdbc.JdbcStatement
`closedByResultSet, conn, fetchSize, maxRows, resultSet, resultSetConcurrency, resultSetType, session, updateCount`

Fields inherited from class org.h2.message.TraceObject
`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQL_EXCEPTION, STATEMENT, XA_DATA_SOURCE, XID`

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Method Summary
`int` `executeUpdate()` Executes a statement (insert, update, delete, create, drop) and returns the update count.
`java.sql.Array` `getArray(int parameterIndex)`
`java.sql.Array` `getArray(java.lang.String parameterName)`
`java.math.BigDecimal` `getBigDecimal(int parameterIndex)`
`java.math.BigDecimal` `getBigDecimal(int parameterIndex, int scale)` Deprecated. use `getBigDecimal(int parameterIndex)` or `getBigDecimal(String parameterName)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String parameterName)`
`java.sql.Blob` `getBlob(int parameterIndex)`
`java.sql.Blob` `getBlob(java.lang.String parameterName)`
`boolean` `getBoolean(int parameterIndex)`
`boolean` `getBoolean(java.lang.String parameterName)`
`byte` `getByte(int parameterIndex)`
`byte` `getByte(java.lang.String parameterName)`
`byte[]` `getBytes(int parameterIndex)`
`byte[]` `getBytes(java.lang.String parameterName)`
`java.sql.Clob` `getClob(int parameterIndex)`
`java.sql.Clob` `getClob(java.lang.String parameterName)`
`java.sql.Date` `getDate(int parameterIndex)`
`java.sql.Date` `getDate(int parameterIndex, java.util.Calendar cal)`
`java.sql.Date` `getDate(java.lang.String parameterName)`
`java.sql.Date` `getDate(java.lang.String parameterName, java.util.Calendar cal)`
`double` `getDouble(int parameterIndex)`
`double` `getDouble(java.lang.String parameterName)`
`float` `getFloat(int parameterIndex)`
`float` `getFloat(java.lang.String parameterName)`
`int` `getInt(int parameterIndex)`
`int` `getInt(java.lang.String parameterName)`
`long` `getLong(int parameterIndex)`
`long` `getLong(java.lang.String parameterName)`
`java.lang.Object` `getObject(int parameterIndex)`
`java.lang.Object` `getObject(int parameterIndex, java.util.Map<java.lang.String,java.lang.Class<?>> map)`
`java.lang.Object` `getObject(java.lang.String parameterName)`
`java.lang.Object` `getObject(java.lang.String parameterName, java.util.Map<java.lang.String,java.lang.Class<?>> map)`
`java.sql.Ref` `getRef(int parameterIndex)`
`java.sql.Ref` `getRef(java.lang.String parameterName)`
`short` `getShort(int parameterIndex)`
`short` `getShort(java.lang.String parameterName)`
`java.lang.String` `getString(int parameterIndex)`
`java.lang.String` `getString(java.lang.String parameterName)`
`java.sql.Time` `getTime(int parameterIndex)`
`java.sql.Time` `getTime(int parameterIndex, java.util.Calendar cal)`
`java.sql.Time` `getTime(java.lang.String parameterName)`
`java.sql.Time` `getTime(java.lang.String parameterName, java.util.Calendar cal)`
`java.sql.Timestamp` `getTimestamp(int parameterIndex)`
`java.sql.Timestamp` `getTimestamp(int parameterIndex, java.util.Calendar cal)`
`java.sql.Timestamp` `getTimestamp(java.lang.String parameterName)`
`java.sql.Timestamp` `getTimestamp(java.lang.String parameterName, java.util.Calendar cal)`
`java.net.URL` `getURL(int parameterIndex)`
`java.net.URL` `getURL(java.lang.String parameterName)`
`void` `registerOutParameter(int parameterIndex, int sqlType)`
`void` `registerOutParameter(int parameterIndex, int sqlType, int scale)`
`void` `registerOutParameter(int parameterIndex, int sqlType, java.lang.String typeName)`
`void` `registerOutParameter(java.lang.String parameterName, int sqlType)`
`void` `registerOutParameter(java.lang.String parameterName, int sqlType, int scale)`
`void` `registerOutParameter(java.lang.String parameterName, int sqlType, java.lang.String typeName)`
`void` `setAsciiStream(java.lang.String parameterName, java.io.InputStream x, int length)`
`void` `setBigDecimal(java.lang.String parameterName, java.math.BigDecimal x)`
`void` `setBinaryStream(java.lang.String parameterName, java.io.InputStream x, int length)`
`void` `setBoolean(java.lang.String parameterName, boolean x)`
`void` `setByte(java.lang.String parameterName, byte x)`
`void` `setBytes(java.lang.String parameterName, byte[] x)`
`void` `setCharacterStream(java.lang.String parameterName, java.io.Reader reader, int length)`
`void` `setDate(java.lang.String parameterName, java.sql.Date x)`
`void` `setDate(java.lang.String parameterName, java.sql.Date x, java.util.Calendar cal)`
`void` `setDouble(java.lang.String parameterName, double x)`
`void` `setFloat(java.lang.String parameterName, float x)`
`void` `setInt(java.lang.String parameterName, int x)`
`void` `setLong(java.lang.String parameterName, long x)`
`void` `setNull(java.lang.String parameterName, int sqlType)`
`void` `setNull(java.lang.String parameterName, int sqlType, java.lang.String typeName)`
`void` `setObject(java.lang.String parameterName, java.lang.Object x)`
`void` `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType)`
`void` `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType, int scale)`
`void` `setShort(java.lang.String parameterName, short x)`
`void` `setString(java.lang.String parameterName, java.lang.String x)`
`void` `setTime(java.lang.String parameterName, java.sql.Time x)`
`void` `setTime(java.lang.String parameterName, java.sql.Time x, java.util.Calendar cal)`
`void` `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x)`
`void` `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x, java.util.Calendar cal)`
`void` `setURL(java.lang.String parameterName, java.net.URL val)`
`boolean` `wasNull()`

Methods inherited from class org.h2.jdbc.JdbcPreparedStatement

`addBatch, addBatch, checkClosed, clearBatch, clearParameters, close, execute, execute, execute, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, toString`

Methods inherited from class org.h2.jdbc.JdbcStatement

`cancel, clearWarnings, closeOldResultSet, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLastExecutedCommandType, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isPoolable, setCursorName, setEscapeProcessing, setExecutingStatement, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

Methods inherited from class org.h2.message.TraceObject
`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTrace, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, setTrace, toString, unsupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeQuery, getMetaData, getParameterMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Method Detail

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  Executes a statement (insert, update, delete, create, drop) and returns the update count. If another result set exists for this statement, this will be closed (even if this statement fails). If auto commit is on, this statement will be committed. If the statement is a DDL statement (create, drop, alter) and does not throw an exception, the current transaction (if any) is committed after executing the statement.

  Specified by:
    `executeUpdate` in interface `java.sql.PreparedStatement`
  Overrides:
    `executeUpdate` in class `JdbcPreparedStatement`
  Returns:
    the update count (number of row affected by an insert, update or delete, or 0 if no rows or the statement was a create, drop, commit or rollback)
  Throws:
    `java.sql.SQLException` - if this object is closed or invalid

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Specified by:
    `wasNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(int parameterIndex)
                        throws java.sql.SQLException

  Specified by:
    `getURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

  Specified by:
    `getString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

  Specified by:
    `getBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getByte

    public byte getByte(int parameterIndex)
                 throws java.sql.SQLException

  Specified by:
    `getByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(int parameterIndex)
                   throws java.sql.SQLException

  Specified by:
    `getShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getInt

    public int getInt(int parameterIndex)
               throws java.sql.SQLException

  Specified by:
    `getInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(int parameterIndex)
                 throws java.sql.SQLException

  Specified by:
    `getLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(int parameterIndex)
                   throws java.sql.SQLException

  Specified by:
    `getFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(int parameterIndex)
                     throws java.sql.SQLException

  Specified by:
    `getDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated. use `getBigDecimal(int parameterIndex)` or `getBigDecimal(String parameterName)`

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`
  See Also:
    `CallableStatement.getBigDecimal(int, int)`

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

  Specified by:
    `getBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int parameterIndex,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(int parameterIndex)
                        throws java.sql.SQLException

  Specified by:
    `getRef` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    `getBlob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    `getClob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(int parameterIndex)
                            throws java.sql.SQLException

  Specified by:
    `getArray` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(java.lang.String parameterName)
                        throws java.sql.SQLException

  Specified by:
    `getURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String parameterName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(java.lang.String parameterName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(java.lang.String parameterName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(java.lang.String parameterName)
                            throws java.sql.SQLException

  Specified by:
    `getArray` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(java.lang.String parameterName)
                          throws java.sql.SQLException

  Specified by:
    `getClob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(java.lang.String parameterName)
                          throws java.sql.SQLException

  Specified by:
    `getBlob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(java.lang.String parameterName)
                        throws java.sql.SQLException

  Specified by:
    `getRef` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String parameterName,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String parameterName)
                                       throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String parameterName)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String parameterName)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(java.lang.String parameterName)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(java.lang.String parameterName)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(java.lang.String parameterName)
                    throws java.sql.SQLException

  Specified by:
    `getBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(java.lang.String parameterName)
                     throws java.sql.SQLException

  Specified by:
    `getDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(java.lang.String parameterName)
                   throws java.sql.SQLException

  Specified by:
    `getFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(java.lang.String parameterName)
                 throws java.sql.SQLException

  Specified by:
    `getLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getInt

    public int getInt(java.lang.String parameterName)
               throws java.sql.SQLException

  Specified by:
    `getInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(java.lang.String parameterName)
                   throws java.sql.SQLException

  Specified by:
    `getShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getByte

    public byte getByte(java.lang.String parameterName)
                 throws java.sql.SQLException

  Specified by:
    `getByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(java.lang.String parameterName)
                       throws java.sql.SQLException

  Specified by:
    `getBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(java.lang.String parameterName)
                               throws java.sql.SQLException

  Specified by:
    `getString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setNull

    public void setNull(java.lang.String parameterName,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Specified by:
    `setNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTimestamp

    public void setTimestamp(java.lang.String parameterName,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  Specified by:
    `setTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTime

    public void setTime(java.lang.String parameterName,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    `setTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setDate

    public void setDate(java.lang.String parameterName,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    `setDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setCharacterStream

    public void setCharacterStream(java.lang.String parameterName,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    `setCharacterStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x)
                   throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBinaryStream

    public void setBinaryStream(java.lang.String parameterName,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

  Specified by:
    `setBinaryStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTimestamp

    public void setTimestamp(java.lang.String parameterName,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  Specified by:
    `setTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTime

    public void setTime(java.lang.String parameterName,
                        java.sql.Time x)
                 throws java.sql.SQLException

  Specified by:
    `setTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setDate

    public void setDate(java.lang.String parameterName,
                        java.sql.Date x)
                 throws java.sql.SQLException

  Specified by:
    `setDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBytes

    public void setBytes(java.lang.String parameterName,
                         byte[] x)
                  throws java.sql.SQLException

  Specified by:
    `setBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setString

    public void setString(java.lang.String parameterName,
                          java.lang.String x)
                   throws java.sql.SQLException

  Specified by:
    `setString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBigDecimal

    public void setBigDecimal(java.lang.String parameterName,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  Specified by:
    `setBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setDouble

    public void setDouble(java.lang.String parameterName,
                          double x)
                   throws java.sql.SQLException

  Specified by:
    `setDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setFloat

    public void setFloat(java.lang.String parameterName,
                         float x)
                  throws java.sql.SQLException

  Specified by:
    `setFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setLong

    public void setLong(java.lang.String parameterName,
                        long x)
                 throws java.sql.SQLException

  Specified by:
    `setLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setInt

    public void setInt(java.lang.String parameterName,
                       int x)
                throws java.sql.SQLException

  Specified by:
    `setInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setShort

    public void setShort(java.lang.String parameterName,
                         short x)
                  throws java.sql.SQLException

  Specified by:
    `setShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setByte

    public void setByte(java.lang.String parameterName,
                        byte x)
                 throws java.sql.SQLException

  Specified by:
    `setByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBoolean

    public void setBoolean(java.lang.String parameterName,
                           boolean x)
                    throws java.sql.SQLException

  Specified by:
    `setBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setNull

    public void setNull(java.lang.String parameterName,
                        int sqlType)
                 throws java.sql.SQLException

  Specified by:
    `setNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setURL

    public void setURL(java.lang.String parameterName,
                       java.net.URL val)
                throws java.sql.SQLException

  Specified by:
    `setURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setAsciiStream

    public void setAsciiStream(java.lang.String parameterName,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

  Specified by:
    `setAsciiStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`